Bug 79247 - Can't detect that new memory stick has been inserted - usb-storage
Can't detect that new memory stick has been inserted - usb-storage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-08 10:44 EST by Per Thomas Jahr
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Thomas Jahr 2002-12-08 10:44:29 EST
I use the Sony memory stick reader/writer MSAC-US1 connected to USB. The first memory stick I try to read is ok. I monut with this command:
>mount /dev/sda1 /mnt/memstick  (everything OK)

But when I want to access another memory stick (I first unmount and then try to mount again):
> umount /mnt/memstick
  (swap memory sticks)
> mount /dev/sda1 /mnt/memstick
mount: you must specify the filesystem type
... and I can't access my second memory stick. I found this very strange, but found a workaround in some of the newsgroups:

Workaround: 
> rmmod usb-storage
> modprobe usb-storage
> mount /dev/sda1 /mnt/memstick
And now I can access my second memory stick...

It could be that this is expected behaviour on RedHat systems, but it seems very unpractical.

The usb-faq says something about CONFIG_SCSI_MULTI_LUN parameter in the kernel. I havn't checked this (http://www.linux-usb.org/FAQ.html).

My kernel version: 2.4.18-18.8.0
Comment 1 Alan Cox 2002-12-16 00:13:26 EST
Sounds like the memory stick is not being seen as a removable device
Comment 2 Dimitri Papadopoulos 2004-01-20 07:55:43 EST
We have a similar problem on Red Hat Linux 9 and Fedora Core 1. This
makes USB memory sticks useless on Red Hat systems (unless you have
root access on the system and a pretty good knowledge of Linux):

Before inserting any USB memory stick:

# cdrecord -scanbus
Cdrecord 2.0 (i686-pc-linux-gnu) [...]
Linux sg driver version: 3.1.24
[...]
scsibus0:
        0,0,0     0) 'HL-DT-ST' [...] Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
# 

After inserting a Swissbit USB memory stick:
http://www.swissbit.com/haupt.asp?spr=2&nv=2261
I get the following output:

# cdrecord -scanbus
Cdrecord 2.0 (i686-pc-linux-gnu) [...]
Linux sg driver version: 3.1.24
[...]
scsibus0:
        0,0,0     0) 'HL-DT-ST' [...] Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
scsibus1:
        1,0,0   100) 'LEXAR   ' [...] Removable Disk
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *
# 
# mount /dev/sda1 /mnt/stick
# umount /mnt/stick
#

After removing the memory stick from the USB port:

# cdrecord -scanbus
Cdrecord 2.0 (i686-pc-linux-gnu) [...]
Linux sg driver version: 3.1.24
[...]
scsibus0:
        0,0,0     0) 'HL-DT-ST' [...] Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
scsibus1:
        1,0,0   100) '' '' '' Removable not present Disk
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *
# 

Then I insert a different USB memory stick:
http://www.freecom.com/ecProduct_detail.asp?ID=444&nr=21141
and I get the following output:

# cdrecord -scanbus
Cdrecord 2.0 (i686-pc-linux-gnu) [...]
Linux sg driver version: 3.1.24
[...]
scsibus0:
        0,0,0     0) 'HL-DT-ST' [...] Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
scsibus1:
        1,0,0   100) '' '' '' Removable not present Disk
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *
scsibus2:
        2,0,0   200) 'Freecom ' [...] Removable Disk
        2,1,0   201) *
        2,2,0   202) *
        2,3,0   203) *
        2,4,0   204) *
        2,5,0   205) *
        2,6,0   206) *
        2,7,0   207) *

# 
# mount /dev/sdb1 /mnt/stick
mount: you must specify the filesystem type
# mount /dev/sdb /mnt/stick
# umount /mnt/stick
#

Finally it's true that it's possible to reset the system using:

# rmmod usb-storage
# modprobe usb-storage

But still the inconsistency remains that sometimes it's
mount /dev/sda1
for example with the Swissbit stick and sometimes it's
mount /dev/sda
for example with the Freecom stick.

As you can see this is inconsistent. It's impossible to hardcode the
device in /etc/fstab, and root access is needed to use the memory stick.

It would be nice to see all USB memory sticks use the same device so
that it can be hardcoded into /etc/fstab. Or even better, present some
higher level interface to end-users, so that /etc/fstab doesn't need
to be modified and two USB memory sticks can be used on the same machine.

Note that a story about the use of memory sticks with Red Hat Linux
has been posted to Slashdot. I can't find it right now, but it used to
suggest a solution that could be adopted by Red Hat. Also it seems
Mandrake handle USB memory sticks properly.
Comment 3 Dimitri Papadopoulos 2004-01-20 08:28:14 EST
See for example:
http://www.extremetech.com/article2/0,3973,1256701,00.asp
Unfortunately I can't find the Freshmeat online article I was talking
about. Anyway, ideally it shouldn't be necessary to read a whole
article to use a USB memory stick.
Comment 4 Bugzilla owner 2004-09-30 11:40:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 5 Dimitri Papadopoulos 2005-01-31 06:24:44 EST
The problem is still there on Fedora Core 3. The fact we're using KDE
may have something to do with our trouble? Apparently on Fedora only
GNOME plays well udev/hal.

Note You need to log in before you can comment on or make changes to this bug.